<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>

   <extension
         point="info.textgrid.lab.core.model.contentTypes">
      <contentType
            creatable="true"
            eclipseContentType="de.blumenbach_online.tglab.sammlungsdb.blumenbachiana"
            extension="bco"
            internal="false"
            name="RDF-Inputform Object"
            image="icons/rdf_flyer.16.png"
            typeID="text/tg.inputform+rdf+xml">
      </contentType>
      <!--contentType
            creatable="true"
            eclipseContentType="info.textgrid.lab.core.aggregations.ui.aggregationeditor"
            extension="bca"
            internal="false"
            name="Blumenbachiana Aggregation"
            typeID="text/vnd.blumenbachiana+tg.aggregation+xml">
      </contentType-->
   </extension>
   
   <extension
         point="org.eclipse.core.contenttype.contentTypes">
      <content-type
            base-type="org.eclipse.core.runtime.xml"
            default-charset="UTF-8"
            file-extensions="bco"
            id="de.blumenbach_online.tglab.sammlungsdb.blumenbachiana"
            name="BCO"
            priority="normal">
      </content-type>
      <!--content-type
            base-type="info.textgrid.lab.core.aggregations.ui.aggregationeditor"
            file-extensions="bca"
            id="de.blumenbach_online.tglab.sammlungsdb.blumenbachiana_aggregation"
            name="Blumenbachiana Aggregation"
            priority="normal">
      </content-type-->
	</extension>
	
	<extension
         point="info.textgrid.lab.ui.core.newObjectContributor">
      	<contentTypeContributor
            allowFastFinish="true"
            contentType="text/tg.inputform+rdf+xml"
            needsValidMetadata="false"
            preparator="de.blumenbach_online.tglab.sammlungsdb.Preparator"
            showMetadataPage="true">
    	</contentTypeContributor>
   </extension>

   <!--extension
         point="org.eclipse.ui.views">
      <category
            name="BOL SammlungsDB"
            id="de.blumenbach_online.tglab.sammlungsdb">
      </category>
      <view
            name="BOL SammlungsDB View"
            icon="icons/Scull16x16.png"
            category="de.blumenbach_online.tglab.sammlungsdb"
            class="de.blumenbach_online.tglab.sammlungsdb.views.SammlungsDbView"
            id="de.blumenbach_online.tglab.sammlungsdb.views.SammlungsDbView">
      </view>
   </extension-->

   <extension
         point="org.eclipse.ui.editors">
      <editor
            class="de.blumenbach_online.tglab.sammlungsdb.views.SammlungsDbEditor"
            default="false"
            icon="icons/rdf_flyer.16.png"
            id="de.blumenbach_online.tglab.sammlungsdb.views.SammlungsDbEditor"
            name="RDF-Object Editor">
         <contentTypeBinding
               contentTypeId="de.blumenbach_online.tglab.sammlungsdb.blumenbachiana">
         </contentTypeBinding>
      </editor>
   </extension>
   
   <extension
         point="org.eclipse.ui.perspectives">
      <perspective
            class="de.blumenbach_online.tglab.sammlungsdb.perspectives.SammlungsDbPerspective"
            id="de.blumenbach_online.tglab.sammlungsdb.perspectives.SammlungsDbPerspective"
            name="RDF-Object Perspective">
      </perspective>
   </extension>
   <extension
        point="org.eclipse.ui.commands">
     <command
           description="Open RDF-Object Perspective"
           id="de.blumenbach_online.tglab.sammlungsdb.showSammlungsDbPerspective"
           name="BOL SammlungsDB">
     </command>
   </extension>
   <extension
        point="org.eclipse.ui.handlers">
     <handler
           class="de.blumenbach_online.tglab.sammlungsdb.handlers.ShowSammlungsDbPerspectiveHandler"
           commandId="de.blumenbach_online.tglab.sammlungsdb.showSammlungsDbPerspective">
     </handler>
   </extension>
   <extension
        point="org.eclipse.ui.menus">
     <menuContribution
           locationURI="menu:tools?after=tools.anchor1.3">
        <command
              commandId="de.blumenbach_online.tglab.sammlungsdb.showSammlungsDbPerspective"
              icon="icons/rdf_flyer.16.png">
        </command>
     </menuContribution>
          <menuContribution
           locationURI="toolbar:perspectivesbar">
        <command
              commandId="de.blumenbach_online.tglab.sammlungsdb.showSammlungsDbPerspective"
              icon="icons/rdf_flyer.16.png"
              label="BOL-DB"
              tooltip="Open RDF Object Perspective">
        </command>
     </menuContribution>
   </extension>
   <extension
         point="org.eclipse.core.expressions.propertyTesters">
       <propertyTester
	       class="de.blumenbach_online.tglab.sammlungsdb.tester.IsSammlungsObject"
	       id="de.blumenbach_online.tglab.sammlungsdb.tester.IsSammlungsObject"
	       namespace="de.blumenbach_online.tglab.sammlungsdb.tester"
	       properties="IsSammlungsObject"
	       type="java.lang.Object">
       </propertyTester>
   </extension>
   <extension
         point="org.eclipse.help.contexts">
      <contexts
            file="contexts.xml">
      </contexts>
   </extension>
      <extension
         point="org.eclipse.ui.preferencePages">
      <page
            class="de.blumenbach_online.tglab.sammlungsdb.preferences.PluginPreferencePage"
            id="de.blumenbach_online.tglab.sammlungsdb.preferences"
            name="RDF-Object Inputform">
      </page>
   </extension>

</plugin>
